Page MenuHomePhabricator

[monobook-betalabs]: 'Live updates' missing the icon
Closed, ResolvedPublic

Description

  1. In betalabs, RC page displays 'Live updates' button with the icon (Vector skin):


When the icon is clicked - the state of the icon clearly indicates its active state.

  1. Switch to monobook skin and click on the 'Live updates'. The icon is missing and the active button state is not communicated clearly.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 11:52 PM

Seems to be self-fixed - checked in Safari and Chrome: 'Live updates' button has the icon.

Etonkovidova closed this task as Resolved.Aug 8 2017, 5:53 PM
Etonkovidova reopened this task as Open.Dec 8 2017, 12:10 AM
Etonkovidova updated the task description. (Show Details)

The ticket was re-opened - the description was updated to provide more details.

The main problem with monobook button in pressed state is missing "stop" icon. The reason is that OOjs UI icon pack doesn't have "stop" icon for monobook.

@Volker_E, I have noticed T141801 is tracking play icon as used, and stop does not have any usages listed. Both icons are used for "Live updates" button, but stop icon doesn't have Apex version, leading to issue described in this ticket.

Change 398191 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'stop' icon to Apex theme

https://gerrit.wikimedia.org/r/398191

Thanks @Petar.petkovic for catching this!

Change 398191 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'stop' icon to Apex theme

https://gerrit.wikimedia.org/r/398191

Volker_E closed this task as Resolved.Dec 14 2017, 1:48 AM
Volker_E claimed this task.

This is going to be in v0.25.0 of OOUI.

Thanks @Petar.petkovic for catching this!

Thank you for adding the icon! It would be nice if OOjs UI icon inventory gets updated to include stop icon usages.

@Petar.petkovic As this is a huge list maintained at T141801, and it's fairly hard to maintain overview on each and every products' icons for me, you're invited to keep it updated. :)

@Petar.petkovic As this is a huge list maintained at T141801, and it's fairly hard to maintain overview on each and every products' icons for me, you're invited to keep it updated. :)

I will gladly do it this time, since it indicates there are no usages for "stop" icon. Also, will try to keep updated every time I deem that it would be useful.

Change 399448 had a related patch set uploaded (by Bartosz Dziewoński; owner: VolkerE):
[oojs/ui@v0.24.4] icons: Add 'stop' icon to Apex theme

https://gerrit.wikimedia.org/r/399448

Change 399448 merged by jenkins-bot:
[oojs/ui@v0.24.4] icons: Add 'stop' icon to Apex theme

https://gerrit.wikimedia.org/r/399448